MV(1)

NOM
mv - Déplacer ou renommer des fichiers

SYNOPSIS
mv [OPTION]... [-T] SOURCE CIBLE
mv [OPTION]... SOURCE... RÉPERTOIRE
mv [OPTION]... -t RÉPERTOIRE SOURCE...

DESCRIPTION

Renommer la SOURCE en CIBLE ou déplacer la SOURCE vers le RÉPERTOIRE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

--debug
    explain how a file is copied. Implies -v

-f, --force
    ne pas demander de confirmation avant d'écraser

-i, --interactive
    demander confirmation avant d'écraser

-n, --no-clobber
    ne pas écraser un fichier existant

Si vous fournissez plus d'une des options -i, -f, -n, seule la dernière prendra effet.

--no-copy
    do not copy if renaming fails

--strip-trailing-slashes
    enlever le « / » en suffixe de chaque paramètre de SOURCE

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    déplacer tous les paramètres SOURCE vers le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,older(default)}. See below

-u  equivalent to --update[=older]

-v, --verbose
    expliquer ce qui est fait

-Z, --context
    définir le contexte de sécurité SELinux du fichier cible au type par défaut

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is similar to the --no-clobber option, in that no files in the destination are replaced, but also skipped files do not induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    Faire des archives numérotées.

existing, nil
    Numéroter si des archives numérotées existent déjà, sinon ne pas numéroter.

simple, never
    Toujours faire des archives de type simple.

AUTEUR
Écrit par Mike Parker, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
rename(2)

Documentation complète : <https://www.gnu.org/software/coreutils/mv>
aussi disponible localement à l’aide de la commande : info '(coreutils) mv invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.